body {
    font-family: 'Roboto', Arial, sans-serif;
    margin: 20px;
    color: #2C3E50;
    background-color: #ECF0F1;
}

form {
    max-width: 600px;
    margin: 0 auto;
    padding: 20px;
    background-color: #FFFFFF;
    border: 1px solid #7B8A8B;
    border-radius: 10px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}

h1, h2 {
    text-align: center;
    font-size: 2em;
    color: #2C3E50;
    margin-bottom: 20px;
}

label {
    display: block;
    margin-bottom: 8px;
    font-weight: 500;
    color: #2C3E50;
}

input, select {
    width: 100%;
    padding: 10px;
    font-size: 1em;
    border: 1px solid #7B8A8B;
    border-radius: 5px;
    background-color: #FFFFFF;
    color: #2C3E50;
}

input:focus, select:focus {
    outline: none;
    border-color: #7B8A8B;
    box-shadow: 0 0 5px #2C3E50;
}

button, input[type="submit"], .btn-info, .index-button {
    width: calc(100% - 20px);
    display: block;
    margin: 10px auto;
    padding: 10px 20px;
    font-size: 1em;
    color: #fff;
    background-color: #2C3E50;
    border: none;
    border-radius: 5px;
    cursor: pointer;
    text-align: center;
}

button:hover, input[type="submit"]:hover, .btn-info:hover, .index-button:hover {
    background-color: #2C3E50;
}

.day-section, .info-section {
    margin-top: 30px;
    padding: 20px;
    background-color: #D5DBDB;
    border: 1px solid #7B8A8B;
    border-radius: 5px;
}

.table {
    width: 100%;
    border-collapse: collapse;
    margin-top: 10px;
    background-color: #FFFFFF;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    border-radius: 5px;
    overflow: hidden;
}

thead th {
    background-color: #2C3E50;
    color: #fff;
    font-weight: 500;
    text-transform: uppercase;
    font-size: 0.9em;
    padding: 10px;
}

tbody tr:nth-child(even) {
    background-color: #D5DBDB;
}



.checkbox-group {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
    max-width: 100%;
}

input[type="checkbox"] {
    width: 16px;
    height: 16px;
    cursor: pointer;
}

.ingredient-table th {
    background-color: #2C3E50;
    color: white;
}

body { font-family: 'Roboto', sans-serif; }
.card { margin-bottom: 20px; border-radius: 10px; box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1); }
.card-header { font-weight: 700; cursor: pointer; background-color: #2C3E50; color:#2C3E50; }
.table th { background-color:#2C3E50; color: white; }
.striped-table tbody tr:nth-of-type(odd) { background-color: #f8f9fa; }
.btn-icon { width: 36px; height: 36px; border-radius: 50%; }
.tab-content { margin-top: 20px; }

.nav-link {
    color: #2C3E50 !important;
    font-weight: bold;
}

.nav-link.active {
    color: #1A252F !important; /* Slightly darker for the active tab */
}

.btn-info {
    background-color: #34495E !important;
    border-color: #2C3E50 !important;
    color: white !important;
    font-weight: 500;
    transition: background-color 0.3s ease-in-out, transform 0.1s;
}

.btn-info:hover, .btn-info:focus {
    background-color: #2C3E50 !important;
    border-color: #2C3E50 !important;
    transform: scale(1.05);
}


button:hover, input[type="submit"]:hover, .btn-info:hover, .index-button:hover {
    background-color:#343a40; /* Slightly lighter on hover */
}
.group-row {
    background-color: #2C3E50; /* Dark Blue */
    color: white;
    font-weight: bold;
    text-align: center;
}

.subgroup-row {
    background-color: #ECF0F1; /* Light Gray */
    font-weight: normal;
}
#usda-micros-compliance table td {
    color: #2C3E50; /* Or any color that contrasts with the background */
}
#usda-micros-compliance table td {
    color: #2C3E50; /* Or any color that contrasts with the background */
}


.medical-condition-options {
    display: flex;
    gap: 20px;
    margin-top: 8px;
}

.medical-condition-options label {
    display: flex;
    align-items: center;
    font-weight: normal;
    gap: 5px;
}
#trimester-group label {
        display:inline-flex;
        align-items:center;
    }

.hei-score {
    color: rgb(9, 126, 9);
}

.diet-plan-language-options {
  display: flex;
  gap: 1rem;  
  align-items: center;
}
.diet-plan-language-options label {
  margin: 0;  
}
